Bug 6642 - ypbind failes to bind to NIS Master Server if DNS lookups are not possible
ypbind failes to bind to NIS Master Server if DNS lookups are not possible
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: ypbind (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-02 03:00 EST by tma
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-27 14:15:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tma 1999-11-02 03:00:13 EST
Hi folks,

while setting up a NIS Master server on RH6.1 i noticed the
following problem:

OS: RedHat 6.1 (out of the box, no patches installed)
PC: i686,128MB SDRAM,
MB: Abit dual Celeron (currently only 1 CPU)
SCSI: AHA2940U2W
NIC: 3c905B TX

Purpose of this host: It's my internal NIS Master server and
NFS Server for RH 6.1 clients. Later (if everything is
setup) it will become also my primary caching only DNS
server (non authoritative). But for now i did *not* setup
DNS, since i use the external DNS Server of my ISP. I guess
this causes the problem. Please read on.

I connect my internal network via a CISCO ISDN router to the
internet. During installation/setup i always turn of my
CISCO, to prevent insecure broadcasts/packets sent out to
the Internet. I noticed that ypbind is not able to find my
NIS Master server if it can not reach the Internet via my
CISCO (guess it was trying to do a DNS lookup ???). Every
host search path (nsswitch.conf, hosts.conf ...)  specifyes
dns to be the last entry. I use this order "files nis dns"

ypbind is able to bind to my NIS master *only* if access to
the Internet is possble (CISCO must be running).

Does ypbind need a DNS lookup to resolve the NIS master,
even if it's specified in /etc/hosts ???

I will further track down the problem when i have some spare
time, but for now i guess it's because ypbind tries to
resolve some names via DNS.

Please tell me if i'm completely wrong, or if this is
possible (Do i need an internal DNS server???)
If it's possible, it might be a security problem, since
ypbind requests must not be seen on the internet.

Many thanks
Thomas

P.S.: RedHat 6.1 is a wonderfull distribution, keep up the
good work!
Comment 1 Cristian Gafton 2000-01-27 14:15:59 EST
I thibnk it is the ypserv which is confused about who he really is. tis usually
happens when you alias the hostname of the NIS server to 127.0.0.1 in
/etc/hosts.

Note You need to log in before you can comment on or make changes to this bug.